import { Series } from "./Series";
import { IFastItemColumn$1 } from "igniteui-react-core/ES2015/IFastItemColumn$1";
import { IEnumerable, Type } from "igniteui-react-core/ES2015/type";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { IFastItemsSource } from "igniteui-react-core/ES2015/IFastItemsSource";
import { TriangulationStatusEventArgs } from "igniteui-react-core/ES2015/TriangulationStatusEventArgs";
import { Axis } from "./Axis";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { SeriesView } from "./SeriesView";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES2015/FastItemsSourceEventAction";
import { AxisRange } from "./AxisRange";
export declare abstract class ScatterTriangulationSeries extends Series {
    static $t: Type;
    hm(): void;
    mp: string;
    mt: string;
    private ly;
    protected l4: IFastItemColumn$1<number>;
    private lz;
    protected l5: IFastItemColumn$1<number>;
    lr: NumericXAxis;
    ls: NumericYAxis;
    private l7;
    i5(a: boolean): void;
    private mx;
    private mv;
    private lu;
    triangulationStatusChanged: (sender: any, args: TriangulationStatusEventArgs) => void;
    private my;
    protected l0(a: IFastItemsSource, b: string): IFastItemColumn$1<number>;
    protected ir(a: any, b: string, c: any, d: any): void;
    l9(a: any): boolean;
    l8(a: any): boolean;
    du(a: Rect, b: Rect, c: SeriesView): boolean;
    private mw;
    private ma;
    h3(): void;
    protected hr(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    an(a: Axis): AxisRange;
    protected jk(a: Rect, b: Rect): void;
    protected jj(a: Rect, b: Rect): void;
    trianglesSource: IEnumerable;
    l6: IFastItemsSource;
    mh: string;
    mj: string;
    ml: string;
    private lv;
    protected l1: IFastItemColumn$1<number>;
    private lw;
    protected l2: IFastItemColumn$1<number>;
    private lx;
    protected l3: IFastItemColumn$1<number>;
    static $$p: string[];
}
